PHP Classes

File: composer.json

Recommend this page to a friend!
  Classes of Manolo Salsas  >  Symfony Create Bundle Skeleton  >  composer.json  >  Download  
File: composer.json
Role: Auxiliary data
Content type: text/plain
Description: Auxiliary data
Class: Symfony Create Bundle Skeleton
Application to create reusable Symfony Bundles
Author: By
Last change:
Date: 1 year ago
Size: 2,804 bytes
 

Contents

Class file image Download
{
    "name": "symfony/symfony-demo",
    "license": "MIT",
    "type": "project",
    "description": "Symfony Demo Application",
    "minimum-stability": "stable",
    "replace": {
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php72": "*"
    },
    "require": {
        "php": "^7.2.9",
        "ext-pdo_sqlite": "*",
        "doctrine/doctrine-bundle": "^1.12|^2.0",
        "doctrine/doctrine-migrations-bundle": "^1.3|^2.0",
        "doctrine/orm": "^2.5.11",
        "erusev/parsedown": "^1.6",
        "sensio/framework-extra-bundle": "^5.1",
        "symfony/apache-pack": "^1.0",
        "symfony/asset": "5.0.*",
        "symfony/console": "5.0.*",
        "symfony/dotenv": "5.0.*",
        "symfony/expression-language": "*",
        "symfony/flex": "^1.1",
        "symfony/form": "5.0.*",
        "symfony/framework-bundle": "*",
        "symfony/intl": "5.0.*",
        "symfony/mailer": "5.0.*",
        "symfony/monolog-bundle": "^3.1",
        "symfony/polyfill-intl-messageformatter": "^1.12",
        "symfony/security-bundle": "5.0.*",
        "symfony/string": "5.0.*",
        "symfony/translation": "5.0.*",
        "symfony/twig-bundle": "5.0.*",
        "symfony/validator": "5.0.*",
        "symfony/webpack-encore-bundle": "^1.4",
        "symfony/yaml": "5.0.*",
        "tgalopin/html-sanitizer-bundle": "^1.1",
        "twig/intl-extra": "^3.0",
        "twig/twig": "^3.0"
    },
    "require-dev": {
        "dama/doctrine-test-bundle": "^6.2",
        "doctrine/doctrine-fixtures-bundle": "^3.0",
        "friendsofphp/php-cs-fixer": "3.0.x-dev",
        "symfony/browser-kit": "5.0.*",
        "symfony/css-selector": "5.0.*",
        "symfony/debug-bundle": "5.0.*",
        "symfony/maker-bundle": "^1.11",
        "symfony/phpunit-bridge": "5.0.*",
        "symfony/stopwatch": "5.0.*",
        "symfony/web-profiler-bundle": "5.0.*"
    },
    "config": {
        "platform": {
            "php": "7.2.9"
        },
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/",
            "Acme\\FooBundle\\": "lib/acme/foo-bundle/"
        }
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install --symlink --relative %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": true,
            "require": "5.0.*"
        }
    }
}
For more information send a message to info at phpclasses dot org.